Overview
Retrieves a summary of contact delete requests for a date range.
URL Parameters
<!--complex table-->
| Name |
Type |
|
Description |
| startdateutc |
datetime |
Required |
Start date and time in UTC of the date range. |
| enddateutc |
datetime |
Required |
End date and time in UTC of the date range. |
Responses
| Status |
Name |
Type |
Description |
| 200 |
|
|
Retrieved summary of contact delete requests. |
| |
startDateUtc |
datetime |
Start date and time in UTC of the date range. |
| |
endDateUtc |
datetime |
End date and time in UTC of the date range. |
| |
statusasofdateutc |
datetime |
Date and time in UTC when the status was retrieved. |
| |
interval |
integer |
Interval of the time series. 0 indicates hourly intervals, and 1 indicates daily intervals. |
| |
itemcount |
integer |
Number of items in the time series. |
| |
totaltimeseries |
array |
Time series with information about total contact delete requests. |
| |
totaltimeseries.requestcount |
integer |
Number of contact delete requests submitted for the date range. |
| |
totaltimeseries.minvalue |
integer |
The lowest number of contact delete requests made during the time series. |
| |
totaltimeseries.maxvalue |
integer |
The most contact delete requests made during the time series. |
| |
totaltimeseries.items |
array |
Array of items with the number of contact delete requests made during the interval. |
| |
totaltimeseries.items.time |
datetime |
Interval’s beginning date and time in UTC. |
| |
totaltimeseries.items.value |
integer |
Number of contact delete requests made during the interval. |
| |
statustimeseries |
array |
Time series with information about contact delete requests based on status. |
| |
statustimeseries.status |
string |
Status of the time series item. |
| |
statustimeseries.requestcount |
integer |
Number of contact delete requests made for the date range. |
| |
statustimeseries.minvalue |
integer |
The lowest number of contact delete requests made during the time series. |
| |
statustimeseries.maxvalue |
integer |
The most contact delete requests made during the time series. |
| |
statustimeseries.items |
array |
Array of items with the number of contact delete requests made during the interval. |
| |
statustimeseries.items.time |
datetime |
Interval's beginning date and time. |
| |
statustimeseries.items.value |
integer |
Number of contact delete requests made during the interval. |
| |
|
|
|
| 400 |
|
|
The request is missing a required parameter or contains an invalid parameter. |
| |
startDateUtc |
datetime |
Start date and time in UTC of the date range. |
| |
endDateUtc |
datetime |
End date and time in UTC of the date range. |
| |
interval |
integer |
Interval of the time series. 0 indicates hourly intervals, and 1 indicates daily intervals. |
| |
statusasofdateutc |
datetime |
Date and time in UTC when the status was retrieved. |
| |
requestServiceMessageID |
guid |
Service message ID for the request. |
| |
responseDateTime |
datetime |
Date and time in UTC when the response was created in the system. |
| |
resultMessages |
array |
Array of messages about the request. Includes details, such as resulttype and resultcode, about a bad request. |
| |
serviceMessageID |
guid |
Service message ID for the response. |
Usage
Example Request
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /contacts/analytics/deleterequests/summary?startdateutc=2018-01-15T00:00:00Z&enddateutc=2018-01-15T05:00:00Z
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
Example Response
{
"startdateutc":"2018-01-15T00:00:00Z",
"enddateutc":"2018-01-15T04:30:00Z",
"statusofdateutc": "2018-01-17T04:30:00Z",
"interval":"0",
"itemcount":5,
"totaltimeseries":[
{
"requestcount":500,
"minvalue":100,
"maxvalue":100,
"items":[
{time:"01-15-2018 00:00:00","value":100},
{time:"01-15-2018 01:00:00","value":100},
{time:"01-15-2018 02:00:00","value":100},
{time:"01-15-2018 03:0000:","value":100},
{time:"01-15-2018 04:00:00","value":100}
]
}],
"statustimeseries":[
{
"statusid": 5,
"status": "Completed"
"requestcount":350,
"minvalue":0,
"maxvalue":100,
"items":[
{time:"01-15-2018 00:00:00","value":100},
{time:"01-15-2018 01:00:00","value":100},
{time:"01-15-2018 02:00:00","value":100},
{time:"01-15-2018 03:00:00","value":50},
{time:"01-15-2018 04:00:00","value":0}
]
},
{
"statusid": 1,
"status": “Processing”
"requestcount":100,
"minvalue":0,
"maxvalue":75,
"items":[
{time:"01-15-2018 00:00:00","value":0},
{time:"01-15-2018 01:00:00","value":0},
{time:"01-15-2018 02:00:00","value":0},
{time:"01-15-2018 03:00:00","value":25},
{time:"01-15-2018 04:00:00","value":75}
]
},
{
"statusid": 7,
"Status": "Invalid",
"requestcount":50,
"minvalue":0,
"maxvalue":50,
"items":[
{time:"01-15-2018 00:00:00","value":0},
{time:"01-15-2018 01:00:00","value":0},
{time:"01-15-2018 02:00:00","value":0},
{time:"01-15-2018 03:00:00","value":25},
{time:"01-15-2018 04:00:00","value":25}
]
}]
}